/* quunecouleur.c - Extraction des composantes R,V et B d'un PPM
 * _____________________________________________________________________
 * Fonction generaliste utilisee par quelerouge, quelevert et quelebleu
 * qui prend un filtre en parametre (c'est a dire la composante a garder
 * et celle a mettre a 0)
 * _____________________________________________________________________
 */

#include <stdio.h>
#include "io.h"
#include "progress.h"
#include "effets/quunecouleur.h"

void quunecouleur(struct image* telleImage, int filtre)
{
	int i;
	int laTailleImage;

	i=0;
	laTailleImage=telleImage->saLargeur*telleImage->saHauteur;

	printf("Application effet    "); fflush(stdout);
	while(i<laTailleImage)
	{
		affiche_progress(i,laTailleImage);
		telleImage->sonContenu[i]=telleImage->sonContenu[i] & filtre;
		i++;
	}
	termine_progress("OK");
}
